* {
  margin: 0;
  padding: 0;
}

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  color: #fff;
  position: relative; /* Agrega position: relative al cuerpo de la página */
  background-color: #000;
  z-index: 1;
  overflow-x: hidden !important;
}

#photoContainer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 100%;
  max-height: 100%;
  margin: 0 auto;
  gap: 40px;
}

#galaxies {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1; /* Colocamos las galaxias detrás de las estrellas */
}

.galaxy {
  position: absolute;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  z-index: -1; /* Colocamos las galaxias detrás de las estrellas */
  box-shadow: 0 0 10px rgba(255, 255, 255, .7);
  /* Asegurar que la imagen sea circular */
  border-radius: 40px 65% ;
  background-color: #4d4d4d;
  opacity: .4;
  filter: blur(.3px);
}

.cometa {
  position: absolute;
  top: 10%;
  left: -100px; /* Comienza fuera del lado izquierdo de la pantalla */
  width: 10px;
  height: 10px;
  background-color: #fff; /* Color inicial del cometa */
  border-radius: 50%;
  box-shadow: 0 0 10px #fff; /* Estela inicial del cometa */
  animation: cometaAnim 3s linear infinite;
}

@keyframes cometaAnim {
  0% {
    transform: translateX(0);
    opacity: 1; /* Opacidad inicial de la estela */
  }
  100% {
    transform: translateX(100vw); /* Desplaza el cometa hasta el lado derecho de la pantalla */
    opacity: 0; /* Estela desaparece al final del recorrido */
  }
}

#photoContainer img {
  margin: 100px 0 0 0;
  max-width: 50%;
  max-height: 500px;
  z-index: 10;
}

.btn {
  width: 75px;
  padding: 7px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
}

button {
  box-shadow: 1px 1px 5px whitesmoke;
  color: white;
  background-color: transparent;
  cursor: pointer;
}

.btn i {
  font-size: 17px;
}

h3 {
  inline-size: min(75ch, 100% - 4rem);
  color: #666666;
  margin-bottom: 100px;
  background-color: rgba(0, 0, 0, 0.724);
  line-height: 1.4;
}

input {
  font-size: 40px;
  min-height: 40px;
  z-index: 10;
  background-color: transparent;
  color: white;
  border: none;
  cursor: pointer;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  filter: invert(100%); /* Cambia el color del ícono ajustando la cantidad de inversión */
}

body::before { /* Pseudoelemento para crear el efecto de estrellas */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.star {
  position: absolute;
  width: 2px;
  height: 2px;
  background-color: white; /* Cambia el color de fondo a blanco */
  border-radius: 50%;
  opacity: 0;
  animation: twinkle 2.5s linear infinite;
}

@keyframes twinkle {
  0% { opacity: 0; }
  33% { opacity: .5;}
  50% { opacity: 1; }
  70% { opacity: .7; }
  100% { opacity: 0; }
}

@media (max-width: 876px) {
  #photoContainer img {
    max-width: 70%;
    margin: 30px 0 0 0;
  }
  input {
    background-color: #44444464;
    font-size: 25px;
    min-height: 40px;

  }
  h3 {
    font-size: 15px;
    margin: 0 30px;
    margin-bottom: 50px;
  }

}

.portfolio {
  margin: 0 auto;
  max-width: 200px;
  display: flex;
  text-align: center;
  align-items: center;
  justify-content: space-around;
  margin-bottom: 50px;
  font-size:24px;

}

.portfolio a {
  color: white;
  text-decoration: none;
}

.portfolio a:hover {
  color: gray;
}